Subject: Re: O_NONBLOCK serial I/O blocks on 95, OK on NT
From: Bruce Edge <[email-masked]>
To: cygwin support <[email-masked]>
Date: Wed, 06 Dec 2000 14:13:32 -0800

"Town, Brad" wrote:
> 
> Microsoft's overlapped I/O for serial ports is fully implemented, though
> it's just different enough to drive you crazy.  I've had times when serial
> I/O code (straight Win32 API stuff) would work perfectly under NT/2000, but
> would fail under Win9x because some parameters were considered invalid.  I
> wish I could remember the details.

So do I :-)

Does anyone know if anything changed WRT serial I/O on 98 or ME?
I have to support _one_ of the crappy OSs. I was wondering if an upgrade would
be worth it.

Lastly, more data:
When I'm hung up in the read(), my timer interrupt ISR stops getting called.
Only thing it seems to respond to at this point is a Ctrl-C.

-Bruce.

--
Want to unsubscribe from this list?
Send a message to [email-masked]